#pragma once

#include <wx/wx.h>

namespace gui
{
//--------------------------------------------------------------
class ToolBar : public wxPanel
{
  public:
  ToolBar() = delete;                                   // Default constructor
  explicit ToolBar(wxWindow *parent);                    // Constructor
  virtual ~ToolBar()                     = default;     // Default destructor
  ToolBar(ToolBar &obj)                  = delete;      // Copy constructor
  ToolBar(ToolBar &&obj)                 = delete;      // Move constructor
  ToolBar &operator=(const ToolBar &obj) = delete;      // Copy assignment operator
  ToolBar &operator=(ToolBar &&obj)      = delete;      // Move assignment operator

  private:
  void createTools();     // Create tools
};
//--------------------------------------------------------------
}     // namespace gui
